summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYann E. MORIN" <yann.morin.1998@anciens.enib.fr>2009-01-11 18:05:25 (GMT)
committerYann E. MORIN" <yann.morin.1998@anciens.enib.fr>2009-01-11 18:05:25 (GMT)
commit3b804296f5daa778b30c47198b82fca61c31cd63 (patch)
treea3740253592c0f894e42ec1735936a7b3471bc3c
parente4d8094edb4cc51077b53059d9fd802cf63c1753 (diff)
The uClibc site has been overhauled lately, so the URL to retrieve sstrip has changed.
Thanks to Thomas Monjalon <thomas@monjalon.net> and John Utz <john@utzweb.net> for spotting this. /trunk/scripts/build/tools/200-sstrip.sh | 13 10 3 0 ++++++++++--- 1 file changed, 10 insertions(+), 3 deletions(-)
-rw-r--r--scripts/build/tools/200-sstrip.sh13
1 files changed, 10 insertions, 3 deletions
diff --git a/scripts/build/tools/200-sstrip.sh b/scripts/build/tools/200-sstrip.sh
index b29a079..f29d262 100644
--- a/scripts/build/tools/200-sstrip.sh
+++ b/scripts/build/tools/200-sstrip.sh
@@ -28,9 +28,16 @@ case "${CT_SSTRIP_FROM}" in
buildroot)
do_tools_sstrip_get() {
- # Note: the space between sstrip and .c is on purpose.
- CT_GetFile sstrip .c \
- "http://buildroot.uclibc.org/cgi-bin/viewcvs.cgi/*checkout*/trunk/buildroot/toolchain/sstrip/"
+ # We have to retrieve sstrip.c from a viewVC web interface. This
+ # is not handled by the common CT_GetFile, thus we must take all
+ # steps taken by CT_GetFile ourselves:
+
+ CT_GetLocal sstrip .c && return 0 || true
+ CT_TestAndAbort "File '${file}' not present locally, and downloads are not allowed" "${CT_FORBID_DOWNLOAD}" = "y"
+ CT_DoLog EXTRA "Retrieving 'sstrip'"
+ CT_DoGetFile "http://sources.busybox.net/index.py/trunk/buildroot/toolchain/sstrip/sstrip.c?view=co"
+ mv "sstrip.c?view=co" "${CT_TARBALLS_DIR}/sstrip.c"
+ CT_SaveLocal "${CT_TARBALLS_DIR}/sstrip.c"
}
do_tools_sstrip_extract() {
# We'll let buildroot guys take care of sstrip maintenance and patching.